@import url(https://fonts.googleapis.com/css?family=Merriweather+Sans:400,700,800,900);
@import url(https://fonts.googleapis.com/css?family=Lato:400,700,900);

/*** CSS RESET ***/
html * {
    /* Most basic CSS reset */
    margin: 0;
    padding: 0;
    font: inherit;
    box-sizing: border-box; /* All elements need to be rendered in the new box-model */
    -webkit-font-smoothing: antialiased;
    text-rendering: auto;
}
html {
    font:  14px/1.5 Arial, Verdana, sans-serif;
}
body {
    overflow-x: hidden;
}
main {
    overflow: hidden;
    clear: both;
}
a {
    color: #0071bb;
    text-decoration: none;
    outline: none;
    box-shadow: none;
}
img {
    vertical-align: bottom;
}
abbr {
    border: 0;
    text-decoration: none;
}
h1, h2, h3 {
    font: bold 1em 'Merriweather Sans', Myriad, Arial, sans-serif;
    text-rendering: optimizeLegibility;
    -webkit-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
}
h2 {
    font-size: 1.75em;
}
h3 {
    font-size: 1.5em;
}
hr {
    height: 0.05rem;
    background-color: #e6e6e6;
    border: none;
    outline: none;
    color: transparent;
    margin: 2rem 1.5rem;
    clear: both;
}
strong {
    font-weight: 900;
}
small {
    font-size: 0.7em;
}
input, button, textarea, select {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    appearance: none;
    outline: 0;
    border: none;
    border-radius: 0;
    background: none;
}
@media screen and (min-width: 1000px) {
    html {
        font-size:15px;
    }
}

/*** GENERIC CLASSES ***/
.paragraph {
    margin-bottom: 2rem;
}
.float--right {
    float: right;
}
.float--left {
    float: right;
}
.align--right {
    text-align: right;
}

body,
.header,
.footer {
    margin: auto;
    width: 100%;
    max-width: 30rem;
}
.header,
.footer {
    position: fixed;
    z-index: 2;
}

.header__nav {
    padding: 1rem;
    position: absolute;
    width: 100%;
    z-index: 2;
}
.header__right {
    float: right;
    white-space: nowrap;
}
.header__button {
    display: inline-block;
    font-weight: bold;
}
.header__map {
    width: 100%;
    padding-bottom: 60%;
    z-index: 0;
    position: relative;
    background-color: #aee1f5;
}
.header__mapcontainer {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;

}

.footer {
    background-color: rgba(245,245,246,0.9);
    -webkit-backdrop-filter: blur(0.5rem);
    backdrop-filter: blur(0.5rem);
    bottom: 0;
}
.footer__nav {
    border-top: 0.05rem solid #ececec;
    list-style: none;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    align-items: stretch;
}
.footer__navitem {
    width: 25%;
    text-align: center;
    display: inline-block;
    padding: 0.5rem;
}
.footer__navlink {
    color: #9fa0a2;
}
.footer__navlink--active {
    color: black;
}
.footer__icon  {
    display: block;
    font-size: 1.2em;
}

.vehiclestatusbar {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    width: 100%;
    position: absolute;
    overflow: hidden;
    bottom: -0.1rem;
    z-index: 1;
    align-items: stretch;
    padding: 1rem;
    background: linear-gradient(to bottom, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 89%,rgba(255,255,255,1) 100%);
}
.vehiclestatusbar__block {
}
.vehiclestatusbar__block--main {
    padding: 0.3rem 1.5rem 0;
    width: 100%;
}
.vehiclestatusbar__block--left {
    position: relative;
}
.vehiclestatusbar__link {
    display: block;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    font-weight: 900;
    font-size: 1.3rem;
    color: inherit;
    line-height: 0.8;
    padding-bottom: 0.2em;
}
.vehiclestatusbar__icon {
    display: block;
    box-shadow: 0 0 0.2rem rgba(0,0,0,0.3);
    color: #4194d7;
    vertical-align: bottom;
    border-radius: 100%;
    width: 3.2rem;
    height: 3.2rem;
    background-color: #ceeeff;
    border: 0.2rem solid #4194d7;
    text-align: center;
    line-height: 3rem;
}
.vehiclestatusbar__indicator {
    position: absolute;
    z-index: 1;
    right: 0;
    top: 0;
    width: 1rem;
    height: 1rem;
    border-radius: 100%;
    text-align: center;
    color: white;
    border: 0.1rem solid #059c36;
    background-color: #65f596;
}
.vehiclestatusbar__licenceplate {
    color: #666;
}
.vehiclestatusbar__button {
    display: block;
    font-weight: bold;
}
.vehiclestatusbar__button .fa {
    font-size: 0.8em;
}

.triplog {
    margin: 60% 0 5rem 0;
}
.triplog__dayheader {
    font-size: 0.8rem;
    font-weight: normal;
    color: #666;
    padding: 1.5rem 0.8rem;
}
.triplog__list {
    display: block;
}
.triplog__listitem {
    list-style: none;
    position: relative;
    height: 4.5rem;
    overflow: hidden;
    -webkit-transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
    -webkit-perspective: 1000;
    transition-property: height;
    transition-duration: 0.3s;
    transition-timing-function: ease-out;
}
.triplog__listitem::after {
    content: '\A';
    position: absolute;
    height: 0.05rem;
    bottom: 0;
    left: 4rem;
    right: 0;
    background-color: #ececec;
}
.triplog__listitem[aria-expanded="true"] {
    height:14.8rem;
}
.triplog__listitem[aria-expanded="true"] .triplog__expanded {
    opacity: 1;
    visibility: visible;
}
.triplog__row {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    align-items: stretch;
}
.triplog__expanded {
    opacity: 0;
    visibility: hidden;
    -webkit-transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
    -webkit-perspective: 1000;
    transition-property: opacity, visibility;
    transition-duration: 0.2s;
    transition-timing-function: ease-out;
    overflow: hidden;
    position: absolute;
    width: 100%;
    top: 0;
    background-color: #ececec;
    box-shadow: inset 0 0 1.5em rgba(0,0,0,0.03);
}
.triplog__block {
    padding: 1rem;
    white-space: nowrap;
}
.triplog__block--left {
    width: 10%;
    min-width: 3.6rem;
    position: relative;
}
.triplog__block--main {
    width: 100%;overflow: hidden;
}
.triplog__block--right {
    text-align: right;
    min-width: 6rem;
    line-height: 1.3;
}
.triplog__link {
    display: block;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    font-weight: bold;
    font-size: 1.1rem;
    color: inherit;
    line-height: 1;
}
.triplog__link::after {
    content:'\A';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.triplog__focus {
    display: block;
    font-size: 1.1em;
    font-weight: 600;
}
.triplog__time {
    color: #aaa;
}
.triplog__time--expanded {
    font-size: 0.9em;
    display: block;
    margin: 0.2em 0 1em 0;
}
.triplog__action {
    color: #9fa0a2;
    font-size: 1.2rem;
    margin-right: 0.7em;
}
.triplog__actionbubble {
    color: black;
}
.triplog__button {
    margin-left: -0.8em;
    max-width: 100%;
}

.bubble {
    display: inline-block;
    position: relative;
    z-index: 0;
    border-radius: 100%;
    width: 2rem;
    height: 2rem;
    line-height: 2rem;
    text-align: center;
}
.bubble--path::after {
    content: '\A';
    position: absolute;
    z-index: 0;
    width: 0.3rem;
    height: 0.3rem;
    left: 50%;
    bottom: -0.3rem;
    margin-left: -0.15rem;
    background: linear-gradient(to bottom, rgba(198,198,198,1) 0%,rgba(198,198,198,0) 100%);
}
.bubble__sub {
    position: absolute;
    z-index: 1;
    right: -0.2rem;
    top: -0.2rem;
    width: 1rem;
    height: 1rem;
    border-radius: 100%;
    line-height: 0.9rem;
    font-size: 0.5rem;
    text-align: center;
    background-color: #ececec;
    border: 0.1rem solid #ececec;
    text-align: center;
}

.button {
    display: inline-block;
    text-align: center;
    height: 2em;
    line-height: 2em;
    border-radius: 1em;
    padding: 0 1rem;
    color: inherit;
    background-color: #ffdc00;
    box-shadow: 0.2rem 0.2rem 0.2rem rgba(0,0,0,0.1);
}
.button--icon {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    align-items: stretch;
}
.button--tall {
    height: 2.8rem;
    line-height: 2.8rem;
    border-radius: 1.4rem;
}
.button--left {
    display: inline-block;
    border-radius: 0.5rem 0 0 0.5rem;
    border-right: 0.05rem solid #f4d200;
}
.button--right {
    display: inline-block;
    border-radius: 0 0.5rem 0.5rem 0;
}
.button__text {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
.button__icon {
    font-size: 0.8em;
    margin-left: 1em;
}

.icon::before {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: '\f276';
}
.icon--car::before { content: '\f1b9'; }
.icon--work::before { content: '\f0b1'; }
.icon--home::before { content: '\f015'; }
.icon--sport::before { content: '\f45f'; }
.icon--bag::before { content: '\f290'; }
.icon--taxi::before { content: '\f1ba'; }
.icon--cat::before { content: '\f5fd'; }
.icon--fuel::before { content: '\f52f'; }
.icon--note::before { content: '\f0c6'; }
.icon--plus::before { content: '\f067'; }
.icon--close::before { content: '\f00d'; }
.icon--dropdown::before { content: '\f078'; }
.icon--detail::before { content: '\f054'; }
.icon--nav::before { content: '\f0c9'; }
.icon--filter::before { content: '\f0b0'; }
.icon--share::before { content: '\f064'; }
.icon--plug::before { content: '\f1e6'; }
.icon--statistic::before { content: '\f200'; }
.icon--settings::before { content: '\f205'; }
.icon--triplog::before { content: '\f682'; }

.color {
    box-shadow: inset .01em .01em .02em rgba(0,0,0,0.1);
    background-image: linear-gradient(#ffdc00,#ffc729);
}
.color--blue {
    background-image: linear-gradient(#4ab0fe,#05eefe);
}
.color--pink {
    background-image: linear-gradient(#f7bfea,#ad93d4);
}
.color--rose {
    background-image: linear-gradient(#fdaaa9,#fbc1ba);
}
.color--green {
    background-image: linear-gradient(#42e97f,#39f9d3);
}
.color--blue,
.color--pink,
.color--rose,
.color--green {
    color: white;
    text-shadow: 0 0 0.5em rgba(0,0,0,0.2);
}
